package abstractFactory.concreteFactories;

import abstractFactory.ICarFactory;
import abstractFactory.products.doors.HondaDoor;
import abstractFactory.products.hoods.HondaHood;

/**
 * 
 * Concrete Abstract Factory for creation of Honda's car
 *
 */
public class HondaFactory implements ICarFactory {

	@Override
	public void createDoors() {
		
		new HondaDoor().stampDoor();
	}

	@Override
	public void createHood() {
		
		new HondaHood().stampHood();
		
	}

}
