package abstractFactory.concreteFactories;

import abstractFactory.ICarFactory;
import abstractFactory.products.doors.MercedesDoor;
import abstractFactory.products.hoods.MercedesHood;

/**
 * Concrete Abstract Factory for creation of Honda's car
 * 
 * @author simeon
 *
 */
public class MercedesFactory implements ICarFactory {

	@Override
	public void createDoors() {
		
		new MercedesDoor().stampDoor();
	}

	@Override
	public void createHood() {
		
		new MercedesHood().stampHood();
	}

}
