package builder;

import builder.concreteBuilders.HawaiianPizzaBuilder;
import builder.concreteBuilders.SpicyPizzaBuilder;
import builder.products.Pizza;

public class BuilderTest {

	public static void main(String[] args) {
		
        CookDirector cook = new CookDirector();
        
        PizzaBuilderAbstract hawaiianPizzaBuilder = new HawaiianPizzaBuilder();
        PizzaBuilderAbstract spicyPizzaBuilder = new SpicyPizzaBuilder();

        cook.setPizzaBuilder(hawaiianPizzaBuilder);
        
        //construct part by part the product 1 - the pizza hawaiian in our case
        cook.constructPizza();

        Pizza hawaiian = cook.getPizza();
        hawaiian.print();

        cook.setPizzaBuilder(spicyPizzaBuilder);
        
        //construct part by part the product 2 - the Spicy in our case
        cook.constructPizza();

        Pizza spicy = cook.getPizza();
        spicy.print();

	}

}
