package builder;

import builder.products.Pizza;

/**
 * The manipulator of the builders - 
 * Plays the role of the Director from the 
 * Builder design pattern  
 *
 */
public class CookDirector {

	  private PizzaBuilderAbstract pizzaBuilder;
	  
      public void setPizzaBuilder(PizzaBuilderAbstract pb) {
              pizzaBuilder = pb;
      }

      public Pizza getPizza() {
              return pizzaBuilder.getPizza();
      }

      public void constructPizza() {
              pizzaBuilder.createNewPizzaProduct();
              pizzaBuilder.buildDough();
              pizzaBuilder.buildSauce();
              pizzaBuilder.buildTopping();
      }

}
